From b745381af449c1574198f338705f611d183e2163 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 02 2020 05:46:55 +0000
Subject: [PATCH 1645/2232] Fix shared_ptr explicit impl C++ codegen condition


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 77bff8d..1fb45d9 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -1280,7 +1280,7 @@ fn write_generic_instantiations(out: &mut OutFile) {
         } else if let Type::SharedPtr(ptr) = ty {
             if let Type::Ident(inner) = &ptr.inner {
                 if Atom::from(&inner.rust).is_none()
-                    && !(out.types.aliases.contains_key(&inner.rust)
+                    && (!out.types.aliases.contains_key(&inner.rust)
                         || out.types.explicit_impls.contains(ty))
                 {
                     out.next_section();

